OpenCV: cv::detail::AKAZEFeaturesFinder Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::AKAZEFeaturesFinder Class Reference
Images stitching » Features Finding and Images Matching

AKAZE features finder. : More...

`#include "matchers.hpp"`

Inheritance diagram for cv::detail::AKAZEFeaturesFinder:

## Public Member Functions
| AKAZEFeaturesFinder (int descriptor_type=AKAZE::DESCRIPTOR_MLDB, int descriptor_size=0, int descriptor_channels=3, float threshold=0.001f, int nOctaves=4, int nOctaveLayers=4, int diffusivity=KAZE::DIFF_PM_G2)
Public Member Functions inherited from cv::detail::FeaturesFinder
virtual | ~FeaturesFinder ()
virtual void | collectGarbage ()
| Frees unused memory allocated before if there is any. More...
void | operator() (InputArray image, ImageFeatures &features)
void | operator() (InputArray image, ImageFeatures &features, const std::vector< cv::Rect > &rois)
| Finds features in the given image. More...
void | operator() (InputArrayOfArrays images, std::vector< ImageFeatures > &features, const std::vector< std::vector< cv::Rect > > &rois)
| Finds features in the given images in parallel. More...
void | operator() (InputArrayOfArrays images, std::vector< ImageFeatures > &features)

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::FeaturesFinder
bool | isThreadSafe () const
| uses dynamic_cast to determine thread-safety More...

## Detailed Description

AKAZE features finder. :

See also
  detail::FeaturesFinder, AKAZE

## Constructor & Destructor Documentation

## ◆ AKAZEFeaturesFinder()

cv::detail::AKAZEFeaturesFinder::AKAZEFeaturesFinder | ( | int | descriptor_type = `AKAZE::DESCRIPTOR_MLDB`,
|  | int | descriptor_size = `0`,
|  | int | descriptor_channels = `3`,
|  | float | threshold = `0.001f`,
|  | int | nOctaves = `4`,
|  | int | nOctaveLayers = `4`,
|  | int | diffusivity = `KAZE::DIFF_PM_G2`
| ) |  |

The documentation for this class was generated from the following file:

- stitching/include/opencv2/stitching/detail/matchers.hpp